petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFVRefine

Create a "refined" PetscFV object that refines the reference cell into smaller copies. This is typically used to precondition a higher order method with a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVRefine(PetscFV fv, PetscFV *fvRef)

### Input Parameter

fv - The initial PetscFV

### Output Parameter

fvRef - The refined PetscFV

### See Also

PetscFVType, PetscFVCreate(), PetscFVSetType()

### Level

developer

### Location

src/dm/dt/interface/dtfv.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages